Package org.apache.sling.rewriter

## Interface SerializerFactory

All Known Implementing Classes:
  `AbstractTraxSerializerFactory`, `Html5SerializerFactory`, `HtmlSerializerFactory`, `TraxHtmlSerializerFactory`, `TraxXHtmlSerializerFactory`, `XHtmlSerializerFactory`, `XMLSerializerFactory`

    public interface SerializerFactory

The `SerializerFactory` is a service which creates `Serializer`s on demand. The created serializers are the end point for the rewriter pipeline. The factories itself are not chained but the resulting serializers are. On each pipeline call new instances are created. The factory is referenced using a service property named 'pipeline.type'. Each factory should have a unique value for this property.

### Method Summary

All Methods Instance Methods Abstract Methods
`Serializer` `createSerializer()` Create a new serializer for the pipeline.

### Method Detail

#### createSerializer

    Serializer createSerializer()

Create a new serializer for the pipeline.

Returns:
  A new serializer.